<?php

namespace App\Modules\HtlTypeRoom\Application\List;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class ListHtlTypeRoomQuery implements Query
{
    public function __construct(
        private int $Id_HtlCamp,
        private string $action
    ) {
    }

    public function getIdHtlCamp()
    {
        return $this->Id_HtlCamp;
    }

    public function getAction(): string
    {
        return $this->action;
    }
}
